{% assign device = site.data.devices[page.device] %}
<table class="deviceinfo table">
  <tbody>

    <tr class="image">
      <td colspan="2" style="border-top: 0px;">
      <img src="{{ "images/devices/" | append: device.image | relative_url }}" />
      <br/><br/>
      <b>{{ device.vendor }} {{ device.name }} ({{ device.codename }})</b>
      </td>
    </tr>

    <tr>
      <th scope="row">Released</th>
      <td>
        {%- if device.release.first -%}
          {%- for model in device.release -%}
            {%- assign release = model.first[1] | split: '-' -%}
            {{ model.first[0] }}: {% include snippets/release.html -%}
            {%- unless forloop.last -%}
            <br/>
            {% endunless %}
          {%- endfor %}
        {%- else %}
          {% assign release = device.release | split: '-' -%}
          {% include snippets/release.html %}
        {%- endif %}
      </td>
    </tr>

    <tr>
    {%- if device.carrier %}
    <tr>
      <th scope="col">Carrier</th>
      <td>{{ device.carrier }}</td>
    </tr>
    {%- endif %}
    </tr>

    <tr>
        <th scope="row" colspan="2">Specifications</th>
    </tr>
    <tr>
        <th scope="row">SoC</th>
        <td>{{ device.soc }}</td>
    </tr>
    <tr>
        <th scope="row">RAM</th>
        <td>{{ device.ram }}</td>
    </tr>
    <tr>
        <th scope="row">CPU</th>
        <td>
            {%- case device.cpu_cores %}
                {% when '1' %}
                    Single-core
                {% when '2' %}
                    Dual-core
                {% when '4' %}
                    Quad-core
                {% when '6' %}
                    Hexa-core
                {% when '8' %}
                    Octa-core
                {% else %}
                    {{ device.cpu_cores }}x
            {%- endcase %} {{ device.cpu }}<br>{{ device.cpu_freq }}
        </td>
    </tr>
    <tr>
        <th scope="row">Architecture</th>
        <td>
            {%- if device.architecture.cpu -%}
            CPU: {{ device.architecture.cpu }}<br/>
            Android: {{ device.architecture.userspace }}
            {%- else -%}
            {{ device.architecture }}
            {%- endif -%}
        </td>
    </tr>
    {%- if device.gpu != "None" %}
    <tr>
        <th scope="row">GPU</th>
        <td>
          {%- if device.gpu.first -%}
            {%- for gpu in device.gpu -%}
              {%- if gpu.first -%}
                {{ gpu.first[0] }}: {{ gpu.first[1] }}
              {%- else %}
                {{ gpu }}
              {%- endif %}
              {%- unless forloop.last -%}
                {%- if gpu.first -%}
                  <br/>
                {%- else %}
                  /
                {%- endif %}
              {% endunless %}
            {%- endfor %}
          {%- else %}
            {{ device.gpu }}
          {%- endif %}
        </td>
    </tr>
    {%- endif %}
    {%- if device.network != 'None' %}
    <tr>
        <th scope="row">Network</th>
        <td>
            <ul>
                {%- for el in device.network %}
                    <li>{{ el }}</li>
                {%- endfor %}
            </ul>
        </td>
    </tr>
    {%- endif %}
    <tr>
        <th scope="row">Storage</th>
        <td>{{ device.storage }}</td>
    </tr>
    {%- if device.sdcard %}
    <tr>
        <th scope="row">SD card</th>
        <td>Up to {{ device.sdcard.sizeMax }}
        {%- if device.sdcard.slot %}
        <br/>
        {%- case device.sdcard.slot %}
          {%- when 'sim' %}
            SIM slot
          {%- when 'hybrid' %}
            hybrid SIM slot
          {%- when 'dedicated' %}
            dedicated slot
        {%- endcase %}
        {%- endif %}
        </td>
    </tr>
    {%- endif %}
    {%- if device.screen != 'None' %}
    <tr>
        <th scope="row">Screen</th>
        <td>
            {%- if device.screen.first.size == 1 %}
              {%- comment %}The size of "first" will be 1 when there is a list of models{% endcomment -%}
              {%- for model in device.screen %}
                {%- assign modelname = model.first[0] %}
                {%- assign screen_data = model.first[1] %}
                {%- include snippets/screen.html %}
                {%- unless forloop.last -%}
                <br/><br/>
                {%- endunless -%}
              {% endfor -%}
            {%- else %}
                {%- assign screen_data = device.screen %}
                {%- include snippets/screen.html %}
            {%- endif %}
        </td>
    </tr>
    {%- endif %}
    {%- if device.bluetooth %}
    <tr>
        <th scope="row">Bluetooth</th>
        <td>
            {% if device.bluetooth.profiles -%}
                {{ device.bluetooth.spec }} with {{ device.bluetooth.profiles | join: ', ' }}
            {% else -%}
                {{ device.bluetooth.spec }}
            {% endif -%}
        </td>
    </tr>
    {%- endif %}
    {%- if device.wifi %}
    <tr>
        <th scope="row">Wi-Fi</th>
        <td>{{ device.wifi }}</td>
    </tr>
    {%- endif %}
    {%- if device.peripherals != 'None' %}
    <tr>
        <th scope="row">Peripherals</th>
        <td>
            {%- if device.peripherals.first.size == 1 %}
                {%- for model in device.peripherals %}
                <ul>
                    <li>{{ model.first[0] }}
                        {% assign peripherals = model.first[1] %}
                        {% include snippets/peripherals.html %}
                    </li>
                </ul>
                {%- endfor %}
            {%- else %}
                {%- assign peripherals = device.peripherals %}
                {%- include snippets/peripherals.html %}
            {%- endif %}
        </td>
    </tr>
    {%- endif %}
    {%- if device.cameras and device.cameras.size > 0 %}
    <tr>
        <th scope="row">Cameras</th>
        <td>{{ device.cameras | size }}
            <ul>
                {%- for el in device.cameras %}
                    <li>
                        {{ el.info }},
                        {%- if el.flash != 'None' %}
                            {{ el.flash }}
                        {%- else %}
                            No
                        {%- endif %} flash
                    </li>
                {%- endfor %}
            </ul>
        </td>
    </tr>
    {%- endif %}
    {%- if device.dimensions != 'None' %}
    <tr>
        <th scope="row">Dimensions</th>
        <td>{%- if device.dimensions.first.size == 1 %}
              {%- comment %}The size of "first" will be 1 when there is a list of models{% endcomment -%}
              {%- for model in device.dimensions %}
                {%- assign modelname = model.first[0] %}
                {%- assign dimension_data = model.first[1] %}
                {%- include snippets/dimensions.html %}
                {%- unless forloop.last -%}
                <br/><br/>
                {%- endunless -%}
              {% endfor -%}
            {%- else %}
                {%- assign dimension_data = device.dimensions %}
                {%- include snippets/dimensions.html %}
            {%- endif %}
        </td>
    </tr>
    {% endif %}
    {%- if device.battery != 'None' %}
    <tr>
        <th scope="row">Battery</th>
        <td>
            {%- if device.battery.first.size == 1 -%}
            {%- comment %}The size of "first" will be 1 when there is a list of models{% endcomment -%}
                {% for model in device.battery -%}
                    {%- assign modelname = model.first[0] %}
                    {%- assign battery_data = model.first[1] %}
                    {% include snippets/battery.html %}
                    {%- unless forloop.last -%}
                    <br/><br/>
                    {%- endunless %}
                {% endfor -%}
            {%- else %}
                {%- assign battery_data = device.battery %}
                {% include snippets/battery.html %}
            {%- endif -%}
        </td>
    </tr>
    {%- endif %}
    <!-- lineage info -->
    <tr>
        <th scope="row" colspan="2">LineageOS info</th>
    </tr>
    {%- if device.maintainers != empty %}
    <tr>
        <th scope="row">Maintainer{% if device.maintainers.size > 1 %}s{% endif %}</th>
        <td>
            <ul>
                {%- for el in device.maintainers %}
                    <li>{{ el }}</li>
                {%- endfor %}
            </ul>
        </td>
    </tr>
    <tr>
        <th scope="row">Current version</th>
        <td>
            <ul>
                <li>{% assign version = device.current_branch %}{% include snippets/branch.html %}</li>
            </ul>
        </td>
    </tr>
    {%- endif %}
    <tr>
        <th scope="row">Kernel version</th>
        <td>
            <ul>
                <li>
                    {{ device.kernel.version }}
                    {%- if device.kernel.repo %}
                    {%- if device.kernel.repo_custom == true %}
                    (<a href="https://github.com/{{ device.kernel.repo_custom_org }}/{{ device.kernel.repo }}">source code</a>)
                    {%- else %}
                    (<a href="https://github.com/LineageOS/{{ device.kernel.repo }}">source code</a>)
                    {%- endif %}
                    {%- endif %}
                </li>
            </ul>
        </td>
    </tr>
    {%- if device.models %}
    <tr>
        <th scope="row"><a name="supported-models">Supported models</a></th>
        <td>
            <ul>
            {%- for model in device.models %}
                <li>{{ model }}</li>
            {%- endfor %}
              <li><a href='{{ "faq.html#the-list-of-supported-models-for-my-device-doesnt-contain-a-specific-one-i-need-can-i-still-use-it" | relative_url }}'><span class="material-icons">help_outline</span> Don't see yours?</a></li>
            </ul>
        </td>
    </tr>
    {%- endif %}
    {%- if device.versions.size > 1 or device.maintainers == empty %}
    <tr>
        <th scope="row">Previously supported versions</th>
        <td>
            <ul>
                {%- for el in device.versions %}
                {%- unless el == device.current_branch and device.maintainers != empty %}
                    <li>{% assign version = el %}{% include snippets/branch.html %}</li>
                {%- endunless %}
                {%- endfor %}
            </ul>
        </td>
    </tr>
    {%- endif %}
  </tbody>
</table>
